﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    image black ="#000000"
    image bg craigstreet = "bg/craigstreet.png"
    image bg craigstreet02 = "bg/craigstreet02.png"
    image bg forbes = "bg/forbes.png"
    image bg bench = "bg/bench.png"
    image bg coffee = "bg/coffeeshop.png"
    image bg mellon = "bg/mellon.png"
    image credits = "bg/credits.png"
    
    image fleur normal = "char/fleur01.png"
    image fleur surprised = "char/fleur02.png"
    image fleur sad = "char/fleur03.png"
    image fleur smile = "char/fleur04.png"
    image fleur happy = "char/fleur05.png"
    image fleur normal night = "char/fleur01b.png"
    image fleur surprised night = "char/fleur02b.png"
    image fleur sad night = "char/fleur03b.png"
    image fleur smile night = "char/fleur04b.png"
    image fleur happy night = "char/fleur05b.png"

    # Declare characters used by this game.
    $ e = Character('Ever', color="#ffffff")
    $ f = Character('???',color="#ffffff")
    $ m = Character('Old Man',color="#ffffff")


# The game starts here.
label start:
    
    stop music
    
    scene bg craigstreet
    
    play sound "sfx/cars01.ogg"
    
    
    "I couldn't decide between mango or strawberry."

    "In the hot weather the small smoothie stand near my apartment was overflowing with business. I could hear impatient murmurs coming from the people behind me."
    
    "Now, I normally wouldn't spring for an overpriced blend of fruit and ice, but I was stressed and tired."
    
    "Professor Peterson had gone ten minutes over again. Of course, I had stopped paying attention about ten minutes into his lecture, but it's the principle of the matter."
    
    "By then, all I really wanted was to get back to my apartment and get in a few minutes of sleep before heading to lab."
    
    "I copped out and ordered a mango-strawberry blend."

    "I had only taken a few sips when I bumped into her."
    
    show fleur normal with dissolve
    
    play music "bgm/wtt.ogg"
    
    "From an initial glance, I guessed she was still in high school, which made me wonder why she was wandering the streets at noon. There wasn't even a high school in the area."
    
    "In the blazing sun, I could see beads of sweat on her forehead, mirroring the condensation on my smoothie."

    "Her gaze wandered from me to the drink in my hand."
    
    voice "voices/01Fleur.ogg"
    f "What flavor is it?"
    
    voice "voices/01Ever.ogg"
    e "Um, mango-strawberry...hey!"
    
    play sound "sfx/slurp.ogg"
    
    "She grabbed the smoothie from my hand and took a sip. I reached for it, but she quickly sidestepped, still sipping calmly on my drink."

    "A hint of surprise flickered in her eyes for a moment."
    
    show fleur surprised with dissolve

    voice "voices/02Fleur.ogg"
    f "It's sweet."
    
    voice "voices/02Ever.ogg"
    e "Yeah, I always have them blend honey in...hey, wait! That's mine!"
    
    show fleur smile with dissolve
    
    "I grabbed for it again, but she jumped back effortlessly. With a small bow that appeared more mocking than grateful, she smiled, spun on her heel and ran down the street."
    
    hide fleur smile with dissolve
      
    voice "voices/03Ever.ogg"
    e "WHAT THE--!"
    
    "I'm certainly not an athlete. In the past year in college, I had spent more time in the lab or my apartment than anywhere else, and the pressure of looming deadlines had kept me from a regular workout schedule."
    
    "But even under the hot sun, and with a backpack loaded with chemistry notebooks, I wasn't about to let her get away."
    
    "I took off in a sprint that quickly slowed to a breathless jog. I am so out of shape."

    "I watched her retreating figure disappear around a corner along with my precious mango-strawberry smoothie."
    
    scene bg craigstreet02
    with dissolve
    
    "I rounded the corner, still breathing heavily. Yeah, I really need to work out."
    
    "Outside a street cafe, an elderly man sat calmly sipping on iced tea."
    
    voice "voices/04Ever.ogg"
    e "Excuse me, have you seen a girl run by carrying a smoothie?"
    
    "The man looked up in surprise."
    
    voice "voices/Oldman.ogg"
    m "I'm sorry son, but no one has been by here for awhile."
    
    voice "voices/05Ever.ogg"
    e "Are you sure? I could have sworn she ran this way."
    
    "He shook his head."
    
    play sound "sfx/watchbeep.ogg"
    
    "The sound of my watch's alarm reminded me that I had to go to lab. I sighed. So much for taking a nap."
    
    stop music
    
    scene bg forbes
    with fade
    
    play sound "sfx/cars02.ogg"
    
    "Although the sun had set, the air was still humid. After hours of titrating in a small room underground, all I wanted was to crash in my apartment."
    
    "The fifteen minute walk to my apartment is littered with restaurants lit with bright lights that entice hungry college students."
    
    "Even the neon lights weren't enough to awaken my appetite. My eyes had long since glazed over, and I would have passed her by had it not been for the quiet melody she was singing under her breath."
    
    scene bg bench
    with dissolve
    
    voice "voices/03Fleur.ogg"
    "It was a lonely song that rambled around as if she were singing whatever came to her mind. The lyrics were interrupted occasionally as she took bites from a sandwich she held."
    
    "I grabbed her by the shoulder."
    
    voice "voices/06Ever.ogg"
    e "So, did you steal that sandwich, too?"
    
    show fleur normal night with dissolve
    
    "She turned to face me calmly."

    voice "voices/04Fleur.ogg"
    f "I didn't steal anything."
    
    voice "voices/07Ever.ogg"
    e "Yeah right! What about my smoothie from this afternoon?"
    
    show fleur surprised night with dissolve
    
    voice "voices/05Fleur.ogg"
    f "You...you remember?"
 
    "She stood suddenly, but I grabbed her hand before she could run."

    voice "voices/08Ever.ogg"
    e "Of course I remember. Who wouldn't?"
    
    show fleur happy night with dissolve

    "Her blue eyes shimmered under the streetlights. I couldn't tell if she was smiling or crying, but without a warning, she thrust her arms around me and held me tight."
    
    voice "voices/06Fleur.ogg"
    f "Thank you...
    Thank you..."
    
    "I grabbed her shoulders, and held her at arm's length."

    voice "voices/09Ever.ogg"
    e "What are you talking about?"

    voice "voices/07Fleur.ogg"
    f "You remember me, right? Please! Close your eyes, then tell me what I look like!"

    voice "voices/10Ever.ogg"
    e "This better not be some sort of trick..."

    voice "voices/08Fleur.ogg"
    f "No, no, just do it!"

    "With a sigh, I shut my eyes and pictured her in my mind."
    
    scene black
    with dissolve

    voice "voices/11Ever.ogg"
    e "You're a little shorter than I am. You're wearing a headband. Your hair is purple. Your bangs are bleached. Are you happy?"
    
    scene bg bench
    with dissolve
    
    show fleur smile night with dissolve
    
    voice "voices/09Fleur.ogg"
    f "Very! You remember me!"

    voice "voices/12Ever.ogg"
    e "Yes. What's the big deal?"

    "Her face suddenly clouded over."
    
    show fleur sad night with dissolve
    
    voice "voices/10Fleur.ogg"
    f "I... I'll show you."
    
    "She grabbed my hand and led me into a quiet coffee shop on the corner of the street."

    scene bg coffee
    with dissolve
    
    play sound "sfx/doorring.ogg"
    
    "Without warning, she leapt onto a table, and waved her arms in the air."
    
    show fleur smile with dissolve

    voice "voices/11Fleur.ogg"
    f "Hi everyone! I've hidden a bomb somewhere in here!"
    
    "The patrons stared, unsure of whether or not to believe her. I could hear murmuring; one man quickly stood from his seat, searching for an exit."
    
    "She spun around, arms in the air."
    
    voice "voices/12Fleur.ogg"
    f "You're all going to die now!"
    
    hide fleur smile with dissolve
    
    "With those words, she leapt off the table and dashed past me out of the coffee shop."
    
    play sound "sfx/doorring02.ogg"
    
    "I spun around, confused, but I stopped short. The room was quiet. I glanced around."
    
    "The customers chatted with each other calmly, as if nothing had happened. The man who had stood earlier blinked for a moment, confused, before returning to his seat."
    
    play sound "sfx/doorring.ogg"
    
    "The door to the coffee shop swung open, and she strolled in calmly. No one even bothered to glance at her."
    
    show fleur normal with dissolve
    
    voice "voices/13Ever.ogg"
    e "What just happened?"
    
    "She shrugged."

    voice "voices/13Fleur.ogg"
    f "The same thing that always happens; no one remembers me."

    voice "voices/14Ever.ogg"
    e "What do you mean by that?"

    voice "voices/14Fleur.ogg"
    f "Exactly what I said. No one remembers me. The minute I disappear from eyesight, people forget they ever met me. They forget everything I've said and done."

    voice "voices/15Ever.ogg"
    e "What is this, some sort of reverse amnesia?"

    voice "voices/15Fleur.ogg"
    f "Who knows? But it's always been like this. You're the first person who's ever remembered me!"

    voice "voices/16Ever.ogg"
    e "How is that possible? How do you eat? Where do you sleep?"

    voice "voices/16Fleur.ogg"
    f "Ah...well, that is..."

    "Realization hit me."

    voice "voices/17Ever.ogg"
    e "That's why you took my smoothie! You thought I'd forget! Is that how you do it?"
    
    show fleur sad with dissolve

    voice "voices/17Fleur.ogg"
    f "Listen, I'm sorry. I really am. And I know this sounds selfish, but..."
    
    "She led me out onto the darkened street."
    
    play sound "sfx/doorring02.ogg"
    
    scene bg forbes
    with dissolve
    
    play sound "sfx/cars02.ogg"
    
    show fleur sad night with dissolve
    
    voice "voices/17bFleur.ogg"
    f "Could we just spend tonight together? For once in my life...
    I want to have a real conversation with someone."
    
    play sound "sfx/busandfriends.ogg"
    
    "I opened my mouth to speak, but a bus sped alongside the road, obscuring the sound of my voice."
    
    "The busy sounds of cars zipping back and forth mingled with pounding music from the bar across the street and the calls of pedestrians who wandered among the stores."
    
    voice "voices/18Ever.ogg"
    e "Come with me. Let's find somewhere quiet."
    
    scene bg mellon
    with fade
    
    play music "bgm/monogatari.ogg"

    "Although the campus is crawling with students during the daytime, it tends to fall into a peaceful stillness at night."
    
    "The tall proud buildings sit silently in the shadows, and the school becomes a fanciful hideaway for anyone brave enough to venture through the darkened buildings."
    
    "My favorite building was built years ago, and was meant to mirror the temples of Greece. It sits high above the others, with marble columns welcoming in students and visitors alike."
    
    "I once counted the the number of steps on the staircase that lead up to the entryway. One hundred and fifty-two."
    
    "I lead her up those one hundred and fifty-two steps, and we stood among the columns, staring out into the sky."
    
    show fleur normal night with dissolve

    voice "voices/18Fleur.ogg"
    f "Your hair is too long. It makes you look like a girl."

    voice "voices/19Ever.ogg"
    e "Hey, don't insult me like that. I won't forget that any time soon."

    voice "voices/19Fleur.ogg"
    f "But it's true."

    "Her blunt nature surprised me, but she did have a point. I was a nerd through and through, and I couldn't remember the last time I had had a haircut."
    
    "It was getting to an unmanageable length, and keeping it tied back was my temporary solution."

    voice "voices/20Ever.ogg"
    e "Isn't there a nice way to say it?"
    
    show fleur surprised night with dissolve

    voice "voices/20Fleur.ogg"
    f "Nice? Why do I have to be nice?"

    voice "voices/21Ever.ogg"
    e "Because you'll hurt peoples' feelings."
    
    show fleur normal night with dissolve

    voice "voices/21Fleur.ogg"
    f "No I won't. No one ever remembers what I say."
    
    "Once again, she had a point."
    
    stop music fadeout 5
    
    "Night had closed in on the city, and the overcast sky kept most of the street hidden in the darkness."
    
    "Even so, the moon shone through a break in the clouds and a few brave stars managed to shine through in the darkest parts of the sky."
    
    play music "bgm/dawn.ogg"
    
    show fleur sad night with dissolve
    
    voice "voices/22Fleur.ogg"
    f "Hey. This is real, right?"
    
    "She sat beside one of the pillars, and stared into the distance."

    voice "voices/22Ever.ogg"
    e "Of course it's real. We're here together, aren't we?"

    voice "voices/23Fleur.ogg"
    f "I mean...When you wake up tomorrow morning, you'll still remember me, right?"

    "I sat beside her."

    voice "voices/23Ever.ogg"
    e "You know, your hair reminds me of a flower."
    
    show fleur surprised night with dissolve

    voice "voices/24Fleur.ogg"
    f "What?"

    voice "voices/24Ever.ogg"
    e "There's a very small and delicate flower called a forget-me-not. Legend says that whoever wears it will not be forgotten by their lover."
    
    voice "voices/24bEver.ogg"
    e "The color of your hair makes me think of a forget-me-not."
    
    show fleur smile night with dissolve

    voice "voices/25Fleur.ogg"
    f "Does that mean you're my lover?"

    voice "voices/25Ever.ogg"
    e "Who knows? But it definitely means that no matter what, I'll remember you."

    "She leaned her head on my shoulder."
    
    show fleur happy night with dissolve
    
    voice "voices/26Fleur.ogg"
    f "Thank you."
    
    stop music fadeout 5
    
    scene black
    with fade
    
    show expression Text("Owari", size=20, yalign=0.5, xalign=0.5) as text
    with dissolve
    
    $ renpy.pause()
    
    show expression Text("A Painapple Teriyaki Production", size=20, yalign=0.5, xalign=0.5) as text
    with dissolve
    
    $ renpy.pause()
    
    show expression Text("Coded with Ren'py 6.6.1", size=20, yalign=0.5, xalign=0.5) as text
    with dissolve
    
    $ renpy.pause()
    
    show expression Text("This is a pre-release. Please do not redistribute.", size=20, yalign=0.5, xalign=0.5) as text
    with dissolve
    
    $ renpy.pause()
    
    show expression Text("For full credits, check the thread this was posted in.", size=20, yalign=0.5, xalign=0.5) as text
    with dissolve
    
    $ renpy.pause()
    
    hide text
    with dissolve
    
    return
    